<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<body>
<div th:fragment="sidebar_masterdata">
    <aside class="bd-sidebar">
        <div
                class="offcanvas-lg offcanvas-start"
                tabindex="-1"
                id="bdSidebar"
                aria-labelledby="bdSidebarOffcanvasLabel"
        >
            <div class="offcanvas-header border-bottom">
                <h5 class="offcanvas-title" id="bdSidebarOffcanvasLabel">
                    Setting
                </h5>
                <button
                        type="button"
                        class="btn-close"
                        data-bs-dismiss="offcanvas"
                        aria-label="Close"
                        data-bs-target="#bdSidebar"
                ></button>
            </div>

            <div
                    class="offcanvas-body p-3 mb-3"
            >
                <nav
                        class="bd-links w-100"
                        id="bd-docs-nav"
                        aria-label="Docs navigation"
                >
                    <ul class="bd-links-nav list-unstyled mb-0 pb-3 pb-md-2 pe-lg-2">
                        <li class="bd-links-group py-2">
                            <strong
                                    class="bd-links-heading d-flex w-100 align-items-center fw-semibold"
                            >
<!--                                <svg-->
<!--                                        class="bi me-2"-->
<!--                                        style="color: var(&#45;&#45;bs-cyan)"-->
<!--                                        aria-hidden="true"-->
<!--                                >-->
<!--                                    <use xlink:href="#menu-button-wide-fill"></use>-->
<!--                                </svg>-->
                                <i class="fa fa-database me-1"  style="color: var(--bs-cyan)">
                                </i>
                                Master Data
                            </strong>

                            <ul class="list-unstyled fw-normal pb-2 small">
                                <li>
                                    <a
                                            th:href="@{/masterdata/bank}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + submenubank}"
                                            sec:authorize="hasAuthority('MENU_BANK')"
                                    >Bank</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/masterdata/companies}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menucompanies}"
                                            sec:authorize="hasAuthority('MENU_COMPANIES')"
                                    >Companies</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/masterdata/department}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menudepartment}"
                                            sec:authorize="hasAuthority('MENU_DEPARTMENT')"
                                    >Department</a
                                    >
                                </li>
                                <li>
                                    <a
                                            th:href="@{/masterdata/fakultas}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menuFakultas}"
                                            sec:authorize="hasAuthority('MENU_DEPARTMENT')"
                                    >Fakultas</a
                                    >
                                </li>
                                <li>
                                    <a
                                            th:href="@{/masterdata/prodi}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menuProdi}"
                                            sec:authorize="hasAuthority('MENU_DEPARTMENT')"
                                    >Program Studi</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/masterdata/job_level}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menujoblevel}"
                                            sec:authorize="hasAuthority('MENU_JOB_LEVEL')"
                                    >Job Level</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/masterdata/position}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menuposition}"
                                            sec:authorize="hasAuthority('MENU_POSITION')"
                                    >Postition</a
                                    >
                                </li>
                            </ul>
                        </li>
                    </ul>

                    <ul class="bd-links-nav list-unstyled mb-0 pb-3 pb-md-2 pe-lg-2">
                        <li class="bd-links-group py-2">
                            <strong
                                    class="bd-links-heading d-flex w-100 align-items-center fw-semibold"
                            >
<!--                                <svg-->
<!--                                        class="bi me-2"-->
<!--                                        style="color: var(&#45;&#45;bs-cyan)"-->
<!--                                        aria-hidden="true"-->
<!--                                >-->
<!--                                    <use xlink:href="#menu-button-wide-fill"></use>-->
<!--                                </svg>-->
                                <i class="fa fa-people-carry me-1"  style="color: var(--bs-cyan)">
                                </i>
                                Human Resource
                            </strong>
                            <ul class="list-unstyled fw-normal pb-2 small">
                                <li>
                                    <a
                                            th:href="@{/masterdata/employes}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menuemployes}"
                                            sec:authorize="hasAuthority('MENU_EMPLOYES')"
                                    >Employes</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/masterdata/lecturer}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menulecturer}"
                                            sec:authorize="hasAuthority('MENU_LECTURER')"
                                    >Lecturers</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/masterdata/user}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menuuser}"
                                            sec:authorize="hasAuthority('MENU_USER')"
                                    >User</a
                                    >
                                </li>
                            </ul>
                        </li>
                    </ul>


                    <ul class="bd-links-nav list-unstyled mb-0 pb-3 pb-md-2 pe-lg-2">
                        <li class="bd-links-group py-2">
                            <strong
                                    class="bd-links-heading d-flex w-100 align-items-center fw-semibold"
                            >
                                <i class="fa fa-chart-line me-1"  style="color: var(--bs-cyan)">
                                </i>
                                Performance
                            </strong>
                            <ul class="list-unstyled fw-normal pb-2 small">
                                <li>
                                    <a
                                            th:href="@{/masterdata/kpi}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menusettingkpi}"
                                            sec:authorize="hasAuthority('MENU_SETTING_KPI')"
                                    >Kpi</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/masterdata/kpi_lecturer}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menusettingkpilecturer}"
                                            sec:authorize="hasAuthority('MENU_SETTING_KPI')"
                                    >Kpi Lecturer</a
                                    >
                                </li>
                            </ul>
                        </li>
                    </ul>

                    <ul class="bd-links-nav list-unstyled mb-0 pb-3 pb-md-2 pe-lg-2">
                        <li class="bd-links-group py-2">
                            <strong
                                    class="bd-links-heading d-flex w-100 align-items-center fw-semibold"
                            >
                                <i class="fa fa-gear me-1"  style="color: var(--bs-cyan)">
                                </i>
                                Customize
                            </strong>

                            <ul class="list-unstyled fw-normal pb-2 small">
                                <li>
                                    <a
                                            th:href="@{/setting/attendance_approval}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menuapproval}"
                                            sec:authorize="hasAuthority('MENU_SETTING_APPROVAL')"
                                    >Approval</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/setting/approval/loan}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + settingApprovalLoan}"
                                            sec:authorize="hasAuthority('MENU_SETTING_APPROVAL')"
                                    >Approval Loan</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/setting/approval_request}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menurecruitmentapproval}"
                                            sec:authorize="hasAuthority('MENU_SETTING_RECRUITMENT_APPROVAL')"
                                    >Approval Recruitment</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/setting/timemanagement/pattern}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menutimemanagement}"
                                            sec:authorize="hasAuthority('MENU_SETTING_TIME_MANAGEMENT')"
                                    >Time Management</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/setting/payroll/periode}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menupayrollconfiguration}"
                                            sec:authorize="hasAuthority('MENU_SETTING_PAYROLL_CONFIGURATION')"
                                    >Payroll Configuration</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/setting/timeoff/jenis}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menutimeoffconfiguration}"
                                            sec:authorize="hasAuthority('MENU_SETTING_TIME_OFF_CONFIGURATION')"
                                    >Time Off Configuration</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/setting/day/off}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menudayoffconfiguration}"
                                            sec:authorize="hasAuthority('MENU_SETTING_DAY_OFF_CONFIGURATION')"
                                    >Day Off Configuration</a
                                    >
                                </li>

                                <li>
                                    <a
                                            th:href="@{/setting/kpi/periode}"
                                            th:class="${'bd-links-link d-inline-block rounded ' + menusettingkpiperiode}"
                                            sec:authorize="hasAuthority('MENU_SETTING_KPI_PERIODE')"
                                    >KPI Period</a
                                    >
                                </li>
                            </ul>
                        </li>
                    </ul>

                </nav>
            </div>
        </div>
    </aside>
</div>
</body>
</html>
